
ThreatFactor NSIA - Feature #19

Logging Enhancements

04/08/2010 10:39 PM - Luke Murphey

Status: Closed Start date: 04/08/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0 (Release)   

Description

Additional logging for:

Action editing

Backups

Definition policy edits; exception management

Definition updates in background

Defragement indexes

License updates

Logout

Rule editing

System config

Also need to make sure user ID is provided in log entries (not done consistently)

History

#1 - 10/08/2010 02:11 AM - Luke Murphey

Taking a look at each of the log messages to confirm they do not have log messages associated with them:

Action editing (fixed)

Backups (confirmed, but has a "System: Background task" event)

Definition policy edits (confirmed)

Exception management (fixed)

Definition updates in background (is logged)

Defragement indexes (confirmed)

License updates (fixed)

Logout (fixed)

Rule editing (fixed)

System config (fixed)

#2 - 10/08/2010 02:20 AM - Luke Murphey

- Target version set to 1.0 (Release)

#3 - 10/09/2010 03:40 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Completed implementation in r835.
